TlsDirectKeyStore (Mule ESB 2.2.1 API)
Keywords: org.mule.api.security.TlsDirectKeyStore interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.api.security
Interface TlsDirectKeyStore

All Known Implementing Classes:
  HttpsConnector, HttpsPollingConnector, JettyHttpsConnector, SslConnector, TlsConfiguration, TlsConnector

    public interface TlsDirectKeyStore

Configure direct key stores. TLS/SSL connections are made on behalf of an entity, which can be anonymous or identified by a certificate - this interface specifies how a keystore can be used to provide the certificates (and associated private keys) necessary for identification.

The information specified in this interface is used to configure a key store directly. For more information see the documentation for the connector or protocol in question. The comments in `TlsConfiguration` may also be useful.

Method Summary
`String` | `getKeyManagerAlgorithm()`
`KeyManagerFactory` | `getKeyManagerFactory()`
`String` | `getKeyPassword()`
`String` | `getKeyStore()`
`String` | `getKeyStorePassword()`
`String` | `getKeyStoreType()`
`void` | `setKeyManagerAlgorithm(String keyManagerAlgorithm)`
`void` | `setKeyPassword(String keyPassword)`
`void` | `setKeyStore(String name)`
`void` | `setKeyStorePassword(String storePassword)`
`void` | `setKeyStoreType(String keystoreType)`

Method Detail

### getKeyStore

    String getKeyStore()

  Returns:
    The location (resolved relative to the current classpath and file system, if possible) of the keystore that contains public certificates and private keys for identification.

### setKeyStore

    void setKeyStore(String name)
                     throws IOException

  Parameters:
    `name` - The location of the keystore that contains public certificates and private keys for identification.
  Throws:
    `IOException` - If the location cannot be resolved via the file system or classpath

### getKeyPassword

    String getKeyPassword()

  Returns:
    The password used to protect the private key(s)

### setKeyPassword

    void setKeyPassword(String keyPassword)

  Parameters:
    `keyPassword` - The password used to protect the private key(s)

### getKeyStorePassword

    String getKeyStorePassword()

  Returns:
    The password used to protect the keystore itself

### setKeyStorePassword

    void setKeyStorePassword(String storePassword)

  Parameters:
    `storePassword` - The password used to protect the keystore itself

### getKeyStoreType

    String getKeyStoreType()

  Returns:
    The type of keystore used in `getKeyStore()`

### setKeyStoreType

    void setKeyStoreType(String keystoreType)

  Parameters:
    `keystoreType` - The type of keystore used in `setKeyStore(String)`

### getKeyManagerAlgorithm

    String getKeyManagerAlgorithm()

  Returns:
    The algorithm used by the key store. The default comes from {

### setKeyManagerAlgorithm

    void setKeyManagerAlgorithm(String keyManagerAlgorithm)

  Parameters:
    `keyManagerAlgorithm` - The algorithm used by the key store. The default comes from {

### getKeyManagerFactory

    KeyManagerFactory getKeyManagerFactory()

  Returns:
    A source of key stores generated from the parameters supplied here.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.